<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\ListMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class Row extends \Google\Protobuf\Internal\Message
{
    


    protected $title = null;
    


    protected $description = null;
    


    protected $rowId = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getTitle()
    {
        return isset($this->title) ? $this->title : '';
    }

    public function hasTitle()
    {
        return isset($this->title);
    }

    public function clearTitle()
    {
        unset($this->title);
    }

    




    public function setTitle($var)
    {
        GPBUtil::checkString($var, True);
        $this->title = $var;

        return $this;
    }

    



    public function getDescription()
    {
        return isset($this->description) ? $this->description : '';
    }

    public function hasDescription()
    {
        return isset($this->description);
    }

    public function clearDescription()
    {
        unset($this->description);
    }

    




    public function setDescription($var)
    {
        GPBUtil::checkString($var, True);
        $this->description = $var;

        return $this;
    }

    



    public function getRowId()
    {
        return isset($this->rowId) ? $this->rowId : '';
    }

    public function hasRowId()
    {
        return isset($this->rowId);
    }

    public function clearRowId()
    {
        unset($this->rowId);
    }

    




    public function setRowId($var)
    {
        GPBUtil::checkString($var, True);
        $this->rowId = $var;

        return $this;
    }

}

